package com.brilliance.isc.common.limmod.vo;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.vo.ErrorVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Data
public class YpnmodVo extends AbstractCommonVo {
    @ApiModelProperty(value = "CBB列表", name = "cbsMap", required = true)
    private Map<String, Cbb> cbsMap;

    @ApiModelProperty(value = "交易角色参与方列表", name = "ptsList", required = true)
    private List<PtsptaVo> ptsList;

    private BizInfoVo rec;

    private String mac="";

    private LimSimpleVo limmod;

    private YpInfoVo ypInfoVo;

    private List<YpInfoVo> ypInfoVos;

    private YapinBussiVo yapinBussiVo;
    /**
     * 错误信息
     */
    ErrorVo errorVo;

    public void reset() {
        if (limmod == null) {
            limmod = new LimSimpleVo();
        }
        limmod.reset();
        if (ypInfoVo == null) {
            ypInfoVo = new YpInfoVo();
        }
        if (ypInfoVos == null) {
            ypInfoVos = new ArrayList<>();
        }
        if (errorVo == null) {
            errorVo = new ErrorVo();
        }
        if (yapinBussiVo == null) {
            yapinBussiVo = new YapinBussiVo();
        }

    }
}
